<template>
  <span class="tags">
    <slot></slot>
    <span v-if="closable" @click="onCloseBtnClick" class="del">x</span>
  </span>
</template>

<script>
export default {
  data() {
    return {};
  },
  computed: {
    closable() {
      return this.$attrs.closable != undefined;
    }
  },
  methods: {
    onCloseBtnClick() {
      this.$emit("close");
    }
  }
};
</script>

<style lang="scss">
.tags {
  font-size: 13px;
  border:1px solid #ccc;
  padding:5px;
  max-width: 200px;
  margin-right: 5px;
  border-radius: 3px;
  display: inline-block;
  margin-bottom: 5px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  .del {
    margin-left: 5px;
    font-size: 15px;
  }
}
</style>
